using System;

public class Program
{
    public static void Main()
    {
        int N = int.Parse(Console.ReadLine());
        int L = int.Parse(Console.ReadLine());
        for (int i = 0; i < N; i++)
        {
            int Hi = int.Parse(Console.ReadLine());
            if (Hi <= L)
            {
                Console.WriteLine(i + 1);
                return;
            }
        }
        Console.WriteLine(-1);
    }
}